[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: apache2 mod_perl sarge not working

Is there any documentation on how mod_perl2 differs in Sarge from the
official release?

In addition does anyone know when the "official" release of mod_perl2 will be
included in Sarge?

And could I help in getting the official release into Sarge? I have
some time on my hands and would to help is possible.


On 10/2/05, Kjetil Kjernsmo <kjetil@kjernsmo.net> wrote:
> On lørdag 01 oktober 2005, 03:47, marek wrote:
> > Thanks for pointing out my mistake in the <Location> directive.
> > I have corrected that and added the Options +ExecCGI. Now
> > the script is functioning.
> There's one thing you might want to note with mod_perl2 in Sarge,
> though: Debian has an alpha of mod_perl2 that had a different API than
> the final release. Thus, anything you develop using mod_perl2 in Sarge
> will not work for any others, and it will stop working once you upgrade
> to the official release, and anything any others develop for mod_perl2
> will not work under Sarge. Therefore, I would strongly advice against
> using mod_perl2 in Sarge. I have discussed it with the upstream
> developers, and that's advice too.
> Cheers,
> Kjetil
> --
> Kjetil Kjernsmo
> Programmer / Astrophysicist / Ski-orienteer / Orienteer / Mountaineer
> kjetil@kjernsmo.net
> Homepage: http://www.kjetil.kjernsmo.net/     OpenPGP KeyID: 6A6A0BBC

Reply to: